I have a dilemma

Mari-AnneMari-Anne Posts: 279
edited December 1969 in The Commons

We had to temporary locate to Seattle where my husband underwent a major organ transplant so I have been absent from Daz Studio and the forums from the end of May until just recently with the exception of a few days. This is evident by my user status and number of posts. I think when the old forum ended, I had some 500-600 posts to my credit.

We are now back home, and I have spent the last couple of days trying to catch up on the Nuts'n Bolts, Daz Discussions, & the Commons forums, but as you can imagine, it would take forever to read each and every post. My dilemma is that I would like to upgrade to Daz Studio 4.5 - mainly because I understand it is much faster than D/S 4. However, having read about all the glitches that "might" appear if I do upgrade, I am hesitant to take the plunge. I've prepared by downloading the upgrades for, but not yet installed, my beloved GenX, and Reality 2.5 along with the newest Dynamic Cloth Plug In.

In the past, I have generally not had any problem with my old D|S 3 content which is in its own folder, nor with the My Library folder. However, I read about all these Duplicate IDs problems. So, to make a long story short, what exactly can I expect if I do upgrade to 4.5 in the way of Duplicate IDs messages? My OS is Windows 7 - 64-bit. I have about 20-25 content items that need to be updated as they are included among the list posted in the Updated Genesis Products List & Thing To Be Aware Of thread.

Can someone please describe this Duplicate ID problem?

Comments

  • KhoryKhory Posts: 2,538
    edited December 1969

    I message comes up that says "Duplicate ids" or something like that. I forget the exact wording. If your me you click the button and move on. If your a normal person you update the old genesis products you have so that they are fixed and it does not happen any more. It isn't some massive glitch that is going to eat your content or anything.

  • Mari-AnneMari-Anne Posts: 279
    edited December 1969

    Hi Khory,

    I think that qualifies as the "simple" remedy :-) I was thinking more in terms of references I've read to having to first uninstall the product (and when you do, some older uninstallers don't function properly and you have to make allowances for that) and then install them again. But how do you know which installers function properly and which ones don't? And some installers "may not remove all the files" and in some instances "you need to reinstall Studio" - to me, that sounds it could into a nightmare! Those were the kinds of problems I was needing information on.

  • KhoryKhory Posts: 2,538
    edited December 1969

    Honestly, I think much of it is tempests in tea pots. I don't know if you remember way back in the beginning there was a similar issue with the first expression set and a couple of other morphs. Well what was happening was that there were two of the same file in the data. It also happened with some of the test level stuff that I ended up with. Some I had to locate the "spare file" and yank. It wasn't really complex or painful even then. I forget I have stuff installed all the time (like um to an embarrassing level) and reinstall it. I've had a few of those uninstalls go whoops but have never had any issue using the product.

  • Mari-AnneMari-Anne Posts: 279
    edited December 1969

    OK, Khory - if I hear you correctly, I can call on you for the "how-to-yank-the-spare-file" if I do install 4.5 and run into any Duplicating errors?!?! If that's a "YES," I think you're going to push me over the brink and on my merry 4.5 installation way.:coolsmile:

  • JohnDelaquioxJohnDelaquiox Posts: 1,064
    edited December 1969

    If you are upgrading from 4 to 4.5 I say go for it.

    I have 2.3, 3.1, and 4.5 currently running with no problems at all.

  • Mari-AnneMari-Anne Posts: 279
    edited December 1969

    Thanks for the input, John! I am trying to find the information on what to think about when upgrading to 4.5, but can't find the post. Can you please tell me if I need to first uninstall 4.0 before I install 4.5 or can I simply install 4.5 over 4.0? I am wondering both as far as the program files go and the content files, which I understand are separate in the GenesisStarterEssentials?

  • JohnDelaquioxJohnDelaquiox Posts: 1,064
    edited December 1969

    I have one content main content directory for all of my well content. If you install 4.5 it will ask you to uninstall 4.0 and then all you have to do is just keep content directory manager the same.

    let me see if I can think of anything else

    Mari-Anne said:
    Thanks for the input, John! I am trying to find the information on what to think about when upgrading to 4.5, but can't find the post. Can you please tell me if I need to first uninstall 4.0 before I install 4.5 or can I simply install 4.5 over 4.0? I am wondering both as far as the program files go and the content files, which I understand are separate in the GenesisStarterEssentials?

  • FixmypcmikeFixmypcmike Posts: 11,647
    edited December 1969

    You should uninstall the DAZ Content Management Service manually before installing DS 4.5. The DS 4.5 installer will uninstall 4.0 and its default content automatically.

  • Mari-AnneMari-Anne Posts: 279
    edited December 1969

    Oh, OK, Mike - in the meantime I found the DAZ Studio 4.5 Release Candidate 2 post where it talks about how to install 4.5, but I don't think it mentioned anything about manually uninstalling the CMS. So that input is very useful - thank you!

  • Mari-AnneMari-Anne Posts: 279
    edited December 1969

    I just thought of another question (Mike, are you still there?) - should I install the upgrades for my individual content items before or after I upgrade to 4.5? Such as Genesis Bikini 1.2, Genesis Evolution Expressions 1/4, Michael 5 1.1, etc.

  • FixmypcmikeFixmypcmike Posts: 11,647
    edited September 2012

    Doesn't make any difference.

    ETA: Although now that I think of it, it may be that some of the updates will give a dependency error if they distinguish between the current and old Genesis data file. But the worst that will happen is that they won't install until you've installed the Genesis Starter Essentials. I haven't run into any so far.

    Post edited by Fixmypcmike on
  • Mari-AnneMari-Anne Posts: 279
    edited December 1969

    OK, Mike - sounds like it's better to wait until the new content is installed.

    Also, what about preserving your old categories? From what I've read, you have to:

    Install the Software before you install the content.
    Run DS, but don’t import Metadata.
    SAVE your user metadata.
    Shut down DS and install the new content.
    Start DS and check the boxes to import the metadata, to include the USER metadata and allow the user metadata to overwrite. (Check box at the bottom.
    )

    Are these instructions still applicable or are the old categories automatically transferred to 4.5?

  • JohnDelaquioxJohnDelaquiox Posts: 1,064
    edited December 1969

    The Meta Data is the one part that is a little bit on the tricky side of things but that sounds about right

  • Mari-AnneMari-Anne Posts: 279
    edited December 1969

    Actually, it's not the Metadata I'm worried about since I never use them, but rather the Categories. I started to create my own Categories way back in the earlier days of Daz Studio and treasure them more each time I use DS. I'd be heartbroken if I lost them. Although (of course) I do have the data file backed up.

    Maybe someone who's been through the upgrade to 4.5 with Categories can chime in?

  • FixmypcmikeFixmypcmike Posts: 11,647
    edited December 1969

    I followed the steps you mentioned, installing DS4.5, then exporting user data before installing Genesis Starter Essentials, but my categories were preserved anyway, so it wasn't necessary. Doesn't hurt to be safe, though.

  • Mari-AnneMari-Anne Posts: 279
    edited December 1969

    Yes, all my categories seemed to be nicely intact after installing 4.5. So far, so good. I did follow your suggestion, Mike, and exported my user data before installing the GenesisStarterEssentials. However, after completing the content installation and reopening D|S, I had to manually re-import the User Data as that dialog box did not automatically appear.

    A lot of my old categorized content had yellow triangles with exclamation marks but they disappeared after I re-categorized the new content and/or removed the orphaned references.

    Thanks to everyone for helping me installing D|S 4.5!

Sign In or Register to comment.
Rocket Fuel